Bug 183445 - enhance kickstart selection dialog to match anaconda
enhance kickstart selection dialog to match anaconda
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
bzcl34nup
:
: 445473 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 23:01 EST by Tom Marchant
Modified: 2008-07-31 17:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Marchant 2006-02-28 23:01:21 EST
Description of problem:
system-config-kickstart does not match the Anaconda installation dialog.  In
particular, in the Firewall Configuration, there should be an option to select
Samba as a trusted service.  There also does not seem to be any way to specify
LVM partitions.  Package selection does not offer the ability to select optional
packages within a group. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: There may be additional discrepencies.  I did not perform
thorough matching of kickstart against Anaconda.
Comment 1 Chris Lumens 2006-03-01 10:19:15 EST
Yes, this is something to look at for post-fc5.  All the config tools need to
provide some sort of screen that s-c-kickstart can wrap for use, similar to how
firstboot works.  The LVM part in particular is a known and fairly irritating
limitation.
Comment 2 Chris Lumens 2007-02-13 13:52:01 EST
Package selection and firewall configuration now more closely match anaconda. 
Firewall config is a little bit differently organized, but the controls
themselves are the same as you'd see in firstboot.  Network and partitioning are
still the big standout differences but they really require serious work in
anaconda before s-c-kickstart can use those screens.
Comment 3 Bug Zapper 2008-04-03 13:02:58 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 20:24:10 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 5 Chris Lumens 2008-07-31 17:31:13 EDT
*** Bug 445473 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.